# Uses of Enum
org.eclipse.birt.chart.model.attribute.GroupingUnitType

Packages that use GroupingUnitType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of GroupingUnitType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type GroupingUnitType
Modifier and Type
Field
Description
`static final List<GroupingUnitType>`
GroupingUnitType.`VALUES`
A public read-only list of all the 'Grouping Unit Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return GroupingUnitType
Modifier and Type
Method
Description
`static GroupingUnitType`
GroupingUnitType.`get(int value)`
Returns the 'Grouping Unit Type' literal with the specified integer value.
`static GroupingUnitType`
GroupingUnitType.`get(String literal)`
Returns the 'Grouping Unit Type' literal with the specified literal value.
`static GroupingUnitType`
GroupingUnitType.`getByName(String name)`
Returns the 'Grouping Unit Type' literal with the specified name.
`static GroupingUnitType`
GroupingUnitType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GroupingUnitType[]`
GroupingUnitType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of GroupingUnitType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return GroupingUnitType
Modifier and Type
Method
Description
`GroupingUnitType`
AttributeFactoryImpl.`createGroupingUnitTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`GroupingUnitType`
AttributeFactoryImpl.`createGroupingUnitTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of GroupingUnitType in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return GroupingUnitType
Modifier and Type
Method
Description
`GroupingUnitType`
SeriesGrouping.`getGroupingUnit()`
Returns the value of the 'Grouping Unit' attribute.
Methods in org.eclipse.birt.chart.model.data with parameters of type GroupingUnitType
Modifier and Type
Method
Description
`void`
SeriesGrouping.`setGroupingUnit(GroupingUnitType value)`
Sets the value of the ' `Grouping Unit`' attribute.

## Uses of GroupingUnitType in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return GroupingUnitType
Modifier and Type
Method
Description
`GroupingUnitType`
SeriesGroupingImpl.`getGroupingUnit()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type GroupingUnitType
Modifier and Type
Method
Description
`void`
SeriesGroupingImpl.`setGroupingUnit(GroupingUnitType newGroupingUnit)`